Package: io.vertx.groovy.ext.unit

## [Groovy] Class Async

- io.vertx.groovy.ext.unit.Async

- An asynchronous exit point for a test.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Async (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `complete()` Signals the asynchronous operation is done, this method must be called with a count greater than `0`, otherwise it throw an `IllegalStateException` to signal the error.
    `int` | `count()` @return the current count
    `void` | `countDown()` Count down the async.
    `java.lang.Object` | `getDelegate()`
    `void` | `handler(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> completionHandler)` Completion handler to receive a completion signal when this completions completes.
    `void` | `resolve(Future<java.lang.Void> future)` Completes the future upon completion, otherwise fails it.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Completion` | `await, await, awaitSuccess, awaitSuccess, getDelegate, handler, isCompleted, isFailed, isSucceeded, resolve`

- - ### Constructor Detail

    - #### Async(java.lang.Object delegate)

  - ### Method Detail

    - #### void complete()

      Signals the asynchronous operation is done, this method must be called with a count greater than `0`, otherwise it throw an `IllegalStateException` to signal the error.

    - #### int count()

      Returns:
        the current count

    - #### void countDown()

      Count down the async.

    - #### java.lang.Object getDelegate()

    - #### void handler(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> completionHandler)

      Completion handler to receive a completion signal when this completions completes.

      Parameters:
        `completionHandler` - the completion handler

    - #### void resolve(Future<java.lang.Void> future)

      Completes the future upon completion, otherwise fails it.

      Parameters:
        `future` - the future to resolve